$(document).ready(function() {

    if ($('.ev-templates-template-selector').length > 0) {

        $(document).on('change', '.ev-templates-template-selector', function() {
            var templateId = parseInt($(this).val());

            if (isNaN(templateId)) {
                return false;
            }

            var url = '/ajax/ev_templates/templates/getFieldsForTemplate/' + templateId;

            // check for the model / id. Passed to the switcher so we can pre-populate any content in the fields
            var modelId = parseInt($('.custom-field-data').data('active-model-id'));
            if (typeof modelId === 'number' && modelId >= 0) {
                var model = $('.custom-field-data').data('active-model');
                if (model.length > 0) {

                    url += '/' + model + '/' + modelId;
                }
            }

            $.ajax({
                'url': url,
                'cache': false,
                success: function(data, textStatus, jqXHR) {

                    $('.custom-field-data').html(data);
                }
            });
        });
        $('.ev-templates-template-selector').trigger('change');

    } else {
        alert('The template selector class could not be found, make sure formInject => true is set on the Template Behaviour');
    }
});